%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar/Wrapper.pm) perl(Capture/Tiny.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(Data/Dumper.pm) perl(DateTime.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(HPC/Runner.pm) perl(HPC/Runner/Command.pm) perl(IPC/Cmd.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(List/Uniq.pm) perl(Log/Log4perl.pm) perl(Module/Build/Tiny.pm) perl(Moose/Role.pm) perl(MooseX/App/Command.pm) perl(Slurp.pm) perl(Test/Class/Moose.pm) perl(Test/Class/Moose/Load.pm) perl(Test/Class/Moose/Runner.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/ASCIITable.pm) perl(base.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name HPC-Runner-Command-Plugin-Logger-Sqlite
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Log HPC::Runner workflows to a sqlite DB.
Group: Development/Perl
License: perl
URL: https://github.com/biosails/HPC-Runner-Command-Plugin-Logger-Sqlite

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JI/JILLROWE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
HPC::Runner::Command::Plugin::Sqlite - Log HPC::Runner workflows to a sqlite DB.

This plugin requires sqlite3 in the path.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/H*

%changelog
* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

